curl --request GET \
--url https://api.thefaithapp.com/v1/audios \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/audios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/audios"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 6,
"client_id": 2,
"category_id": 2,
"title": "Theme songs",
"description": "Honour music",
"source": "https://d2c58p2vdu8kb2.cloudfront.net/audios/htE1gR0GTssLCZaVMKjTH6P1Q3w81dHz7KdyvVuJ.mp3",
"duration": "02:59",
"media_type": "0",
"deleted_at": null,
"created_at": "2025-02-08T13:15:52.000000Z",
"updated_at": "2025-02-08T13:15:52.000000Z",
"cover_photo": "https://d2c58p2vdu8kb2.cloudfront.net/cover_photo/XtzGozzqa6C8LIZ8RaAclJG7yO0Bj57JFlqTl3c2.jpg"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/audios?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/audios?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/audios?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/audios",
"per_page": 30,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Get Audio Sermons
Retrieve a paginated list of audio sermons for the authenticated user’s church. Supports optional search and pagination.
curl --request GET \
--url https://api.thefaithapp.com/v1/audios \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/audios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/audios"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 6,
"client_id": 2,
"category_id": 2,
"title": "Theme songs",
"description": "Honour music",
"source": "https://d2c58p2vdu8kb2.cloudfront.net/audios/htE1gR0GTssLCZaVMKjTH6P1Q3w81dHz7KdyvVuJ.mp3",
"duration": "02:59",
"media_type": "0",
"deleted_at": null,
"created_at": "2025-02-08T13:15:52.000000Z",
"updated_at": "2025-02-08T13:15:52.000000Z",
"cover_photo": "https://d2c58p2vdu8kb2.cloudfront.net/cover_photo/XtzGozzqa6C8LIZ8RaAclJG7yO0Bj57JFlqTl3c2.jpg"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/audios?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.thefaithapp.com/v1/audios?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.thefaithapp.com/v1/audios?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.thefaithapp.com/v1/audios",
"per_page": 30,
"prev_page_url": null,
"to": 2,
"total": 2
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Search term to filter audio sermons.
Page number for pagination (default: 1).
Response
Paginated list of audio sermons.
Current page number of the result set.
1
List of audio sermon objects.
Show child attributes
Show child attributes
URL to the first page of results.
"https://api.thefaithapp.com/v1/audios?page=1"
Index of the first item returned.
1
Last page number of the result set.
1
URL to the last page of results.
"https://api.thefaithapp.com/v1/audios?page=1"
Pagination navigation links.
Show child attributes
Show child attributes
URL to the next page of results, or null if on the last page.
null
Base path for the paginated results.
"https://api.thefaithapp.com/v1/audios"
Number of items per page.
30
URL to the previous page of results, or null if on the first page.
null
Index of the last item returned.
2
Total number of items available.
2
Was this page helpful?